--- /dev/null
+#!/bin/bash
+LVDSOUTPUT="$(xrandr | grep ' connected ' | cut -f1 -d' ' | grep LVDS)"
+BEAMEROUTPUT="$(xrandr | grep ' connected ' | cut -f1 -d' ' | grep -v LVDS)"
+
+DEFRESOLUTION="$(xrandr | grep LVDS -A 4 | egrep '\+$' | sed 's/^ *//' | cut -f1 -d' ')"
+
+if [ -z "$BEAMEROUTPUT" ]; then
+ echo "Please connect Beamer"
+ exit 1
+fi
+
+#display Beamer in Display Resolution
+xrandr --addmode $BEAMEROUTPUT $DEFRESOLUTION
+
+#add Beamer Resolution to Laptop Display
+#xrandr --newmode 1024x600x60.0 60.00 1024 1488 1520 1600 600 903 909 912
+#xrandr --addmode $BEAMEROUTPUT 1024x600x60.0
+xrandr --newmode "1280x800@60" 83.91 1280 1312 1624 1656 800 816 824 841
+xrandr --addmode $BEAMEROUTPUT "1280x800@60"
+xrandr --addmode $LVDSOUTPUT "1280x800@60"
+
+if [ -n "$1" ]; then
+ gnome-display-properties &
+else
+ xrandr --output $BEAMEROUTPUT --mode $DEFRESOLUTION --same-as $LVDSOUTPUT
+fi
+